package com.lanyun.wanglaotou.public

sealed class PageState {
    object NoLoading : PageState()
    object Loading : PageState()
    object LoadingDialog : PageState()
    data class Success(val isEmpty: Boolean) : PageState()
    data class Error(val exception: String) : PageState()
}